Skip to main content

Delete organisation admin

DELETE 

/v2/onboard/organisation/admin/:adminId

Deletes an admin from the organisation. The service gives the admin as it was at the moment of the delete.

Request

Path Parameters

    adminId stringrequired

    Unique ID of an Admin

Responses

The service deleted the admin.

Schema
    admin object
    id stringrequired

    Unique identifier for the admin

    email emailrequired

    Admin's email address

    name stringrequired

    Full name of the admin

    phone stringrequired

    Admin's phone number

    imageId string

    Unique identifier for the admin's image

    imageUrl string

    URL to the admin's image

    externalId string

    External identifier for the admin

    identityProviderId string

    Identity provider ID

    roleId integerrequired

    Numeric ID of the assigned role

    roleName stringrequired

    Human-readable name of the role

    authentication objectrequired

    Configuration for authentication methods

    password object

    Configuration for password authentication

    enabled boolean
    oidcPasswordless object

    Configuration for Passwordless Login with EUDI Wallet

    enabled boolean

    Whether Passwordless Login is enabled for the user

    linked boolean

    Whether the user has linked their EUDI Wallet for Passwordless Login

    authenticatorCredentialExchangeId string

    Credential Exchange ID of the issued iGrant.io Authenticator credential

    pendingInvitation booleanrequired

    Indicates if the admin account has a pending invitation

    organizationId string

    Unique identifier for the organization

    organizationName string

    Name of the organization

Loading...